/* code for putc pd class */

#include "m_pd.h"
#include <stdio.h>

typedef struct putc
{
  t_object t_ob;
} t_putc;


void putc_float(t_putc *x, t_floatarg f)
{
  fprintf(stderr ,"%c",(unsigned char)((long int)(f) & 0x00FF));
}

t_class *putc_class;

void *putc_new(void)
{
    t_putc *x = (t_putc *)pd_new(putc_class);
    post("putc_new");
    return (void *)x;
}

void putc_setup(void)
{
    post("putc_setup");
    putc_class = class_new(gensym("putc"), (t_newmethod)putc_new, 0,
    	sizeof(t_putc), 0, 0);
    class_addfloat(putc_class, putc_float);
}

